# Lynis spec file

%define _includedir	/usr/share/lynis/include
%define _bindir		/usr/bin
%define _includedir    /usr/share/lynis/include
%define _pluginsdir    /usr/share/lynis/plugins
%define _dbdir          /usr/share/lynis/db



Summary:		Security and system auditing tool.
Name:			lynis
Version:		1.3.0
Release:		1.art
License:		GPL
Group:			Applications/System
Source:			lynis-%{version}.tar.gz
BuildRoot:               %{_tmppath}/%{name}-%{version}-build
URL:			http://www.rootkit.nl/
Packager:		Scott R. Shinn <scott@atomicrocketturtle.com>
BuildArch:		noarch

%description
Lynis is a security and system auditing tool. It scans a system on the
most interesting parts usefull for audits, like:
     - Security enhancements
     - Logging and auditing options
     - Banner identification
     - Software availability

Lynis is released as a GPL licensed project and free for everyone to use.

See http://www.rootkit.nl for a full description and documentation.

%prep
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir $RPM_BUILD_ROOT

%setup 

%build

%install
# Install profile
install -d ${RPM_BUILD_ROOT}/etc/lynis
install default.prf ${RPM_BUILD_ROOT}/etc/lynis
# Install binary
install -d ${RPM_BUILD_ROOT}/%{_bindir}
install lynis ${RPM_BUILD_ROOT}/%{_bindir}
# Install man page
install -d ${RPM_BUILD_ROOT}/%{_mandir}/man8
install lynis.8 ${RPM_BUILD_ROOT}/%{_mandir}/man8
# Install functions/includes
install -d ${RPM_BUILD_ROOT}%{_includedir}
install include/* ${RPM_BUILD_ROOT}%{_includedir}
# Install plugins
install -d ${RPM_BUILD_ROOT}%{_pluginsdir}
install plugins/* ${RPM_BUILD_ROOT}%{_pluginsdir}
# Install database files
install -d ${RPM_BUILD_ROOT}%{_dbdir}
install db/* ${RPM_BUILD_ROOT}%{_dbdir}


# Patch default paths
sed -i -e 's#INCLUDEDIR="include"#INCLUDEDIR="%{_includedir}"#g' ${RPM_BUILD_ROOT}/usr/bin/lynis
sed -i -e 's#PROFILE="default.prf"#PROFILE="/etc/lynis/default.prf"#g' ${RPM_BUILD_ROOT}/usr/bin/lynis

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%{_bindir}/lynis
%doc CHANGELOG FAQ LICENSE README 
%doc %{_mandir}/man8/lynis.8.gz
/etc/lynis/default.prf
%{_includedir}/*
%{_dbdir}/*
%{_includedir}/*
%{_pluginsdir}/*


%changelog
* Fri Dec 30 2011 Scott R. Shinn <scott@atomicrocketturtle.com> - 1.3.0-1
- Update to 1.3.0

* Fri Dec 18 2009 Scott R. Shinn <scott@atomicrocketturtle.com> - 1.2.9-1
- Update to 1.2.9

* Mon Nov 9 2009 Scott R. Shinn <scott@atomicrocketturtle.com> - 1.2.7-1
- Update to 1.2.7

* Thu Apr 9 2009 Scott R. Shinn <scott@atomicrocketturtle.com> - 1.2.6-1
- Update to 1.2.6


* Tue Sep 09 2008 Scott R. Shinn <scott@atomicrocketturtle.com> - 1.2.0-1
- Update to 1.2.1

* Wed Sep 03 2008 Scott R. Shinn <scott@atomicrocketturtle.com> - 1.2.0-1
- Update to 1.2.0

* Sat Mar 08 2008 Michael Boelen - 1.0.8-1
- initial .spec file

